ReturnaddressType (jakarta-bcel 5.1 API)
Keywords: org.apache.bcel.generic.ReturnaddressType,ReturnaddressType class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Class ReturnaddressType

    java.lang.Object
      |
      +--org.apache.bcel.generic.Type
            |
            +--org.apache.bcel.generic.ReturnaddressType

All Implemented Interfaces:
  java.io.Serializable

public class ReturnaddressType
extends Type

Returnaddress, the type JSR or JSR_W instructions push upon the stack. see vmspec2 §3.3.3

Version:
  $Id: ReturnaddressType.java,v 1.1.1.1 2001/10/29 20:00:26 jvanzyl Exp $
Author:
  Enver Haase
See Also:
  Serialized Form

Field Summary
`static ReturnaddressType` | `NO_TARGET`

Fields inherited from class org.apache.bcel.generic.Type
`BOOLEAN, BYTE, CHAR, DOUBLE, FLOAT, INT, LONG, NO_ARGS, NULL, OBJECT, SHORT, signature, STRING, STRINGBUFFER, THROWABLE, type, UNKNOWN, VOID`

Constructor Summary
`ReturnaddressType(InstructionHandle returnTarget)` Creates a ReturnaddressType object with a target.

Method Summary
`boolean` | `equals(java.lang.Object rat)` Returns if the two Returnaddresses refer to the same target.
`InstructionHandle` | `getTarget()`

Methods inherited from class org.apache.bcel.generic.Type
`getArgumentTypes, getMethodSignature, getReturnType, getSignature, getSignature, getSize, getType, getType, getType, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_TARGET

    public static final ReturnaddressType NO_TARGET

Constructor Detail

### ReturnaddressType

    public ReturnaddressType(InstructionHandle returnTarget)

  Creates a ReturnaddressType object with a target.

Method Detail

### equals

    public boolean equals(java.lang.Object rat)

  Returns if the two Returnaddresses refer to the same target.

  Overrides:
    `equals` in class `java.lang.Object`

### getTarget

    public InstructionHandle getTarget()

  Returns:
    the target of this ReturnaddressType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.